#include <bits/stdc++.h>

using namespace std;

int N, K;
long long A[500005]={-1};
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    cin>>N>>K;
    long long B[N-K]={-1};

    for(int i=0;i<N;i++){
        cin>>A[i];
        if(i<(N-K))
            B[i]=A[i];
    }
    int ind=0;
    bool manji=false;
    for(int i=0;i<N-1;i++){
        for(int j=0;j<N;j++){
            if(j!=i){
                if(manji)
                {
                    B[ind]=A[j];
                    //cout<<A[j]<<" "<<B[ind]<<endl;
                    ind++;
                }
                else if(A[j]<B[ind]){
                    manji=true;
                    //cout<<A[j]<<" "<<B[ind]<<endl;
                    B[ind]=A[j];
                    //cout<<A[j]<<" "<<B[ind]<<endl;
                    ind++;
                }
                else if(A[j]==B[ind]){
                    ind++;
                }
                else
                {
                    ind=0;
                    break;
                }

            }
        }
        manji=false;
        ind=0;
    }
    for(int i=0;i<N-K;i++)
        cout<<B[i]<<" ";
    return 0;
}